import 'package:flutter/material.dart';
import 'package:sk_base_mobile/screens/inventory_inout/components/change_button_roe.dart';
import 'package:sk_base_mobile/screens/inventory_inout/components/inventory_inout_page_View.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';

class TaskPageBody extends StatelessWidget {
  const TaskPageBody({super.key});
  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        buildBackground(),
        ChangeButtonRow(),
      ],
    );
  }

  Widget buildBackground() {
    return Positioned.fill(
        child: Container(
      margin: EdgeInsets.only(top: ScreenAdaper.height(25)),
      decoration: BoxDecoration(
          borderRadius: BorderRadius.only(
              topRight: Radius.circular(ScreenAdaper.sp(40)),
              topLeft: Radius.circular(ScreenAdaper.sp(40))),
          gradient: LinearGradient(
              begin: Alignment.topCenter,
              end: Alignment.bottomCenter,
              colors: [
                Colors.white.withOpacity(.6),
                Colors.white.withOpacity(.5),
                Colors.white.withOpacity(.4),
                Colors.white.withOpacity(.3),
                Colors.white.withOpacity(.2),
                Colors.white.withOpacity(.0),
                Colors.white.withOpacity(.0),
                Colors.white.withOpacity(.0),
                Colors.white.withOpacity(.0),
                Colors.white.withOpacity(.0),
              ])),
      child: InventoryInoutView(),
    ));
  }
}
